
function aom_vehicleapi.collect_players(self, dtime)
    if self._aomv_pl == nil then self._aomv_pl = {} end
    local pos = self.object:get_pos()
    self._aomv_has_new_player = false
    self._aomv_pl_refr = (self._aomv_pl_refr or 0) - dtime
    if self._aomv_pl_refr < 0 then
        local count = 0
        for name, def in pairs(self._aomv_pl) do
             count =  count + 1
        end
        local is_first = (count == 0)
        self._aomv_pl_refr = 2
        for i, obj in ipairs(core.get_objects_inside_radius(pos, 200)) do
            local playername = core.is_player(obj) and obj:get_player_name()
            if playername and not self._aomv_pl[playername] then
                self._aomv_pl[playername] = {
                    obj = nil
                }
                self._aomv_has_new_player = not is_first
            end
        end
    end
end
